Last Comment Bug 695177 - Sharing
: Sharing
Status: VERIFIED FIXED
[QA+] [birch] [Product Approved]
: feature
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: :Margaret Leibovic
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-17 14:36 PDT by Erin Lancaster [:elan]
Modified: 2012-01-10 12:10 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
patch (7.74 KB, patch)
2011-10-19 08:15 PDT, :Margaret Leibovic
blassey.bugs: review+
Details | Diff | Review

Description Erin Lancaster [:elan] 2011-10-17 14:36:25 PDT
Java button.
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-17 15:44:28 PDT
This should also include sharing elements on a webpage, like links, text and maybe images.
Comment 2 :Margaret Leibovic 2011-10-18 18:04:22 PDT
I'm gonna work on this.
Comment 3 :Margaret Leibovic 2011-10-19 08:15:02 PDT
Created attachment 568062 [details] [diff] [review]
patch

I tried duplicating the tab/he lines inside the id.share case, but I was getting compile errors about them already being defined. Then I tried just declaring tab and he at the top of the method without setting values for them and just setting the values below, but then I was getting crashes that I was having a hard time debugging.

So basically, this works, but feel free to tell me if you know a better way to be doing it :)
Comment 4 Brad Lassey [:blassey] (use needinfo?) 2011-10-19 08:20:43 PDT
Comment on attachment 568062 [details] [diff] [review]
patch

Review of attachment 568062 [details] [diff] [review]:
-----------------------------------------------------------------

::: embedding/android/GeckoApp.java
@@ -377,5 @@
>                 return true;
>             case R.id.bookmarks:
>                 Intent intent = new Intent(this, GeckoBookmarks.class);
> -               Tab tab = Tabs.getInstance().getSelectedTab();
> -               Tab.HistoryEntry he = tab.getLastHistoryEntry();

Don't move this out of the switch. It's not used by all of the cases so its ok to duplicate the code
Comment 5 :Margaret Leibovic 2011-10-19 08:56:29 PDT
https://hg.mozilla.org/projects/birch/rev/5a2f08e6022c
Comment 6 Aaron Train [:aaronmt] 2011-10-21 07:18:52 PDT
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111021 Firefox/10.0a1 Fennec/10.0a1 (birch)
Samsung Galaxy SII (Android 2.3.4)

Note You need to log in before you can comment on or make changes to this bug.